Vsan Remote Datastore System Remote Vc Mount Precheck

Vsan Remote Datastore System Remote Vc Mount Precheck
Checks mount compatibility of a cross VC vSAN datastore with given vSAN cluster.

Checks mount compatibility of a cross VC vSAN datastore with given vSAN cluster.

Get mount pre-check results of a client cluster and cross VC remote vSAN datastore. Different types of checks are needed, see VsanMountPrecheckResult for details.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanRemoteDatastoreSystem/{moId}/RemoteVcMountPrecheck
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanRemoteDatastoreSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
RemoteVcMountPrecheckRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {},
    "xvcDatastore": {
        "datastore": {},
        "ownerVc": "string"
    }
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "xvcDatastore": {
        "_typeName": "string",
        "datastore": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "ownerVc": "string"
    },
    "serverClusterInfo": {
        "_typeName": "string",
        "clusterUuid": "string",
        "networkTopology": "string",
        "siteAffinity": [
            {
                "_typeName": "string",
                "clientSite": {
                    "_typeName": "string",
                    "name": "string"
                },
                "serverSite": {
                    "_typeName": "string",
                    "name": "string"
                }
            }
        ],
        "ownerVc": "string",
        "ditConfig": {
            "_typeName": "string",
            "enabled": false,
            "rekeyInterval": 0,
            "state": "string"
        }
    }
}
cluster
Required

Client cluster that trigger the mount precheck request.

Required privileges: Host.Config.Storage

object
xvcDatastore
Required

Cross VC datastore information

This structure may be used only with operations rendered under /vsan.

serverClusterInfo
Optional

Server cluster information of the remote VC vSAN datastore to be checked for mount.

Authentication
This operation uses the following authentication methods.
Responses
200

Pre-check results of a client cluster mounting cross VC vSAN datastore.

Returns VsanMountPrecheckResult of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "result": [
        {
            "_typeName": "string",
            "type": "string",
            "description": {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            },
            "status": "string",
            "reason": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ],
            "ignoreMessage": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "arg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ],
                    "message": "string"
                }
            ]
        }
    ]
}
array of object
result
Optional

A list of precheck results of supported check items.

See also VsanMountPrecheckItem.


500

VsanFault: vSAN related faults.

Returns VsanFault of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}","xvcDatastore":"object"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanRemoteDatastoreSystem/{moId}/RemoteVcMountPrecheck